com.aliyun.svideosdk.common.struct.common

## Class AliyunImageClip

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.common.AliyunClip
  - - com.aliyun.svideosdk.common.struct.common.AliyunImageClip

-     public class AliyunImageClip
      extends AliyunClip

  A class that defines the image clip that is used in video editing. Use `AliyunImageClip.Builder` to create new objects of this class. To use `com.aliyun.svideosdk.importer` to import images, create a source image object first and add this object to `com.aliyun.svideosdk.importer`.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AliyunImageClip.Builder`

  - ### Field Summary

    - ### Fields inherited from class com.aliyun.svideosdk.common.struct.common.AliyunClip

      `mClipHeight, mClipWidth`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getDuration()` Gets the display duration of the clip.
    `int` | `getImageHeight()` Get the video's height.
    `int` | `getImageWidth()` Get the image's width.
    `void` | `setDuration(long durationMills)` Sets the display duration of the image.

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.common.AliyunClip

      `getClipHeight, getClipWidth, getDisplayMode, getId, getMediaType, getSource, getTransition, setDisplayMode, setId, setMediaType, setSource, setTransition`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getDuration

          public long getDuration()

      Gets the display duration of the clip.
      Returns:
        The display duration of the clip.

    - #### setDuration

          public void setDuration(long durationMills)

      Sets the display duration of the image.
      Parameters:
        `durationMills` - Unit: milliseconds.

    - #### getImageWidth

          public int getImageWidth()

      Get the image's width. Call after com.aliyun.svideosdk.common.struct.common.AliyunImageClip.Builder#build()
      Returns:
        mImageWidth

    - #### getImageHeight

          public int getImageHeight()

      Get the video's height. Call after com.aliyun.svideosdk.common.struct.common.AliyunImageClip.Builder#build()
      Returns:
        mVideoHeigth